Upstream information

CVE-2014-8730 at MITRE

Description

The SSL profiles component in F5 BIG-IP LTM, APM, and ASM 10.0.0 through 10.2.4 and 11.0.0 through 11.5.1, AAM 11.4.0 through 11.5.1, AFM 11.3.0 through 11.5.1, Analytics 11.0.0 through 11.5.1, Edge Gateway, WebAccelerator, and WOM 10.1.0 through 10.2.4 and 11.0.0 through 11.3.0, PEM 11.3.0 through 11.6.0, and PSM 10.0.0 through 10.2.4 and 11.0.0 through 11.4.1 and BIG-IQ Cloud and Security 4.0.0 through 4.4.0 and Device 4.2.0 through 4.4.0, when using TLS 1.x before TLS 1.2, does not properly check CBC padding bytes when terminating connections, which makes it easier for man-in-the-middle attackers to obtain cleartext data via a padding-oracle attack, a variant of CVE-2014-3566 (aka POODLE). NOTE: the scope of this identifier is limited to the F5 implementation only. Other vulnerable implementations should receive their own CVE ID, since this is not a vulnerability within the design of TLS 1.x itself.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None

Note from the SUSE Security Team

This incremental POODLE style issue seems to only affect commercial SSL load balancers F5 and A10.

SUSE Bugzilla entry: 908987

SUSE Security Advisories:
  • TID7015984, published Sat May 19 21:48:52 CEST 2018
  • TID7015987, published Sun May 20 15:49:02 CEST 2018
  • TID7016004, published Sat May 19 21:48:47 CEST 2018
  • TID7016067, published Sat May 19 21:48:44 CEST 2018
  • TID7021300, published Sat Mar 3 09:45:58 UTC 2018
  • TID7021976, published Sa 3. Mär 12:01:02 CET 2018